## org.apache.batik.bridge
Class SVGAnimationEngine.AnimatableLengthValueFactory

    java.lang.Object
      org.apache.batik.bridge.SVGAnimationEngine.AnimatableLengthValueFactory

All Implemented Interfaces:
  SVGAnimationEngine.Factory

Enclosing class:
  SVGAnimationEngine

    protected class SVGAnimationEngine.AnimatableLengthValueFactory

extends java.lang.Object
implements SVGAnimationEngine.Factory

Factory class for `AnimatableLengthValue`s.

Field Summary
`protected LengthHandler` `handler` Handler for the length parser.
`protected LengthParser` `parser` Parser for lengths.
`protected short` `type` The parsed length unit type.
`protected float` `value` The parsed length value.

Constructor Summary
`SVGAnimationEngine.AnimatableLengthValueFactory()` Creates a new AnimatableLengthValueFactory.

Method Summary
`AnimatableValue` `createValue(AnimationTarget target, java.lang.String ns, java.lang.String ln, boolean isCSS, java.lang.String s)` Creates a new AnimatableValue from a string.
`AnimatableValue` `createValue(AnimationTarget target, java.lang.String pn, Value v)` Creates a new AnimatableValue from a CSS `Value`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected short type

  The parsed length unit type.

### value

    protected float value

  The parsed length value.

### parser

    protected LengthParser parser

  Parser for lengths.

### handler

    protected LengthHandler handler

  Handler for the length parser.

Constructor Detail

### SVGAnimationEngine.AnimatableLengthValueFactory

    public SVGAnimationEngine.AnimatableLengthValueFactory()

  Creates a new AnimatableLengthValueFactory.

Method Detail

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       java.lang.String ns,
                                       java.lang.String ln,
                                       boolean isCSS,
                                       java.lang.String s)

  Creates a new AnimatableValue from a string.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       java.lang.String pn,
                                       Value v)

  Creates a new AnimatableValue from a CSS `Value`.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.